<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/hwa/hwa.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_44930cbd7b83789e9d19a7ba45b9aa03.html">hwa</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">hwa.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>HWA driver interface.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/soc/soc.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html">HWA_HWAttrs_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA H/W Parameters.  <a href="struct_h_w_a___h_w_attrs__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___src_d_m_a_config__t.html">HWA_SrcDMAConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Source trigger DMA parameters.  <a href="struct_h_w_a___src_d_m_a_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___common_config__t.html">HWA_CommonConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Common Config.  <a href="struct_h_w_a___common_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___source_config__t.html">HWA_SourceConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for Input Formatter/Source block.  <a href="struct_h_w_a___source_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html">HWA_DestConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for Output Formatter/Destination block.  <a href="struct_h_w_a___dest_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html">HWA_AccelModeFFT_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for FFT block.  <a href="struct_h_w_a___accel_mode_f_f_t__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___complex_multiply__t.html">HWA_ComplexMultiply_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for ComplexMultiply block.  <a href="struct_h_w_a___complex_multiply__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___accel_mode_c_f_a_r__t.html">HWA_AccelModeCFAR_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for CFAR block.  <a href="struct_h_w_a___accel_mode_c_f_a_r__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___param_config__t.html">HWA_ParamConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config.  <a href="struct_h_w_a___param_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___interrupt_config__t.html">HWA_InterruptConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Interrupt Config.  <a href="struct_h_w_a___interrupt_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___stats__t.html">HWA_Stats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Statistics from the STATISTICS block.  <a href="struct_h_w_a___stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___debug_stats__t.html">HWA_DebugStats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Debug statistics.  <a href="struct_h_w_a___debug_stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga7c34dce5a570081a4ecf875417649fcb"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7c34dce5a570081a4ecf875417649fcb">HWA_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-1)</td></tr>
<tr class="memdesc:ga7c34dce5a570081a4ecf875417649fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga7c34dce5a570081a4ecf875417649fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga128a9f15bac460d7727f2572d6c02957"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga128a9f15bac460d7727f2572d6c02957">HWA_ENOINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-2)</td></tr>
<tr class="memdesc:ga128a9f15bac460d7727f2572d6c02957"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be done as HWA_init is not done. <br /></td></tr>
<tr class="separator:ga128a9f15bac460d7727f2572d6c02957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga81bd2eedc4f3a2be2027539b5ad05908">HWA_EOUTOFRANGE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-3)</td></tr>
<tr class="memdesc:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: input argument out of range. <br /></td></tr>
<tr class="separator:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac217cba78c6334a1a48708941bb4693b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gac217cba78c6334a1a48708941bb4693b">HWA_EOUTOFMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-4)</td></tr>
<tr class="memdesc:gac217cba78c6334a1a48708941bb4693b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: out of memory. <br /></td></tr>
<tr class="separator:gac217cba78c6334a1a48708941bb4693b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3baf374f03e0d945f363d20a4f758a03"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3baf374f03e0d945f363d20a4f758a03">HWA_ENOTSUPP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-5)</td></tr>
<tr class="memdesc:ga3baf374f03e0d945f363d20a4f758a03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: feature not supported. <br /></td></tr>
<tr class="separator:ga3baf374f03e0d945f363d20a4f758a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64ce0864077d13f61c025c87ef634e59"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga64ce0864077d13f61c025c87ef634e59">HWA_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-6)</td></tr>
<tr class="memdesc:ga64ce0864077d13f61c025c87ef634e59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: channel or resource in use. <br /></td></tr>
<tr class="separator:ga64ce0864077d13f61c025c87ef634e59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga550a2e57d466edb75445302176868e31"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga550a2e57d466edb75445302176868e31">HWA_ENOTALIGNED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-7)</td></tr>
<tr class="memdesc:ga550a2e57d466edb75445302176868e31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: address is not aligned to the expected boundary. <br /></td></tr>
<tr class="separator:ga550a2e57d466edb75445302176868e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd5b3ff0ba5d3120f21028f1e746314d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html#gafd5b3ff0ba5d3120f21028f1e746314d">HWA_FEATURE_BIT_ENABLE</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:gafd5b3ff0ba5d3120f21028f1e746314d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0991bc3cbab72d3801fce2afaeb05a9b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html#ga0991bc3cbab72d3801fce2afaeb05a9b">HWA_FEATURE_BIT_DISABLE</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga0991bc3cbab72d3801fce2afaeb05a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab16a88ad29e1a522f2c7d12421d9fe5c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___w_i_d_t_h.html#gab16a88ad29e1a522f2c7d12421d9fe5c">HWA_SAMPLES_WIDTH_16BIT</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gab16a88ad29e1a522f2c7d12421d9fe5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55e2f00c0289827daeabb16928f03f67"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___w_i_d_t_h.html#ga55e2f00c0289827daeabb16928f03f67">HWA_SAMPLES_WIDTH_32BIT</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga55e2f00c0289827daeabb16928f03f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bd70109d8b5344a8aa9f24988dca26e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___f_o_r_m_a_t.html#ga7bd70109d8b5344a8aa9f24988dca26e">HWA_SAMPLES_FORMAT_COMPLEX</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga7bd70109d8b5344a8aa9f24988dca26e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d10c90435236e262bfe8cb980668a2a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___f_o_r_m_a_t.html#ga4d10c90435236e262bfe8cb980668a2a">HWA_SAMPLES_FORMAT_REAL</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga4d10c90435236e262bfe8cb980668a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a71a0f3b399363c0d564df3c0448981"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___s_i_g_n.html#ga1a71a0f3b399363c0d564df3c0448981">HWA_SAMPLES_UNSIGNED</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga1a71a0f3b399363c0d564df3c0448981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga733e09c2019624c2838db947ffef4aea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___s_a_m_p_l_e_s___s_i_g_n.html#ga733e09c2019624c2838db947ffef4aea">HWA_SAMPLES_SIGNED</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga733e09c2019624c2838db947ffef4aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f24ccef10ca0541d2b705f78b7b8a64"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___w_i_n_d_o_w___s_y_m_m.html#ga2f24ccef10ca0541d2b705f78b7b8a64">HWA_FFT_WINDOW_NONSYMMETRIC</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga2f24ccef10ca0541d2b705f78b7b8a64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga748023f5c56c565302c6d307911d6ae9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___w_i_n_d_o_w___s_y_m_m.html#ga748023f5c56c565302c6d307911d6ae9">HWA_FFT_WINDOW_SYMMETRIC</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga748023f5c56c565302c6d307911d6ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacdca268b8bcb9b6ac434d404bd7f1935"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___w_i_n_d_o_w___i_n_t_e_r_p_o_l_a_t_e___m_o_d_e.html#gacdca268b8bcb9b6ac434d404bd7f1935">HWA_FFT_WINDOW_INTERPOLATE_MODE_NONE</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gacdca268b8bcb9b6ac434d404bd7f1935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17c08225885e9d232c91d8fd771a297c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___w_i_n_d_o_w___i_n_t_e_r_p_o_l_a_t_e___m_o_d_e.html#ga17c08225885e9d232c91d8fd771a297c">HWA_FFT_WINDOW_INTERPOLATE_MODE_4K</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga17c08225885e9d232c91d8fd771a297c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad99696e07288537ae2ec8b81102e32db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___w_i_n_d_o_w___i_n_t_e_r_p_o_l_a_t_e___m_o_d_e.html#gad99696e07288537ae2ec8b81102e32db">HWA_FFT_WINDOW_INTERPOLATE_MODE_2K</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:gad99696e07288537ae2ec8b81102e32db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7d51c8c491d1fa94836fece26ece01d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___m_a_g_n_i_t_u_d_e___l_o_g2.html#gae7d51c8c491d1fa94836fece26ece01d">HWA_FFT_MODE_MAGNITUDE_LOG2_DISABLED</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gae7d51c8c491d1fa94836fece26ece01d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab084a035cde539433b7c8e0fcb723273"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___m_a_g_n_i_t_u_d_e___l_o_g2.html#gab084a035cde539433b7c8e0fcb723273">HWA_FFT_MODE_MAGNITUDE_ONLY_ENABLED</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:gab084a035cde539433b7c8e0fcb723273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07d8df767b90b4eef277b770bad1b68b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___m_a_g_n_i_t_u_d_e___l_o_g2.html#ga07d8df767b90b4eef277b770bad1b68b">HWA_FFT_MODE_MAGNITUDE_LOG2_ENABLED</a>&#160;&#160;&#160;((uint8_t)3U)</td></tr>
<tr class="separator:ga07d8df767b90b4eef277b770bad1b68b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51775728693c5073a780abc2cc734240"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___o_u_t_p_u_t.html#ga51775728693c5073a780abc2cc734240">HWA_FFT_MODE_OUTPUT_DEFAULT</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga51775728693c5073a780abc2cc734240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9bea5e5eab9c3f3c9fdcff29a450722"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___o_u_t_p_u_t.html#gae9bea5e5eab9c3f3c9fdcff29a450722">HWA_FFT_MODE_OUTPUT_MAX_STATS</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:gae9bea5e5eab9c3f3c9fdcff29a450722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26bde3ec13c27e6cc511015ca934806e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___f_f_t___m_o_d_e___o_u_t_p_u_t.html#ga26bde3ec13c27e6cc511015ca934806e">HWA_FFT_MODE_OUTPUT_SUM_STATS</a>&#160;&#160;&#160;((uint8_t)3U)</td></tr>
<tr class="separator:ga26bde3ec13c27e6cc511015ca934806e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d837133e42504dd9562b22bfa6ff491"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___n_o_i_s_e___a_v_g___m_o_d_e___c_f_a_r.html#ga0d837133e42504dd9562b22bfa6ff491">HWA_NOISE_AVG_MODE_CFAR_CA</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga0d837133e42504dd9562b22bfa6ff491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeeb4dbff5232537bd38508c657bce3ed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___n_o_i_s_e___a_v_g___m_o_d_e___c_f_a_r.html#gaeeb4dbff5232537bd38508c657bce3ed">HWA_NOISE_AVG_MODE_CFAR_CAGO</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:gaeeb4dbff5232537bd38508c657bce3ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2beed2f1189f7cb068158a74da228783"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___n_o_i_s_e___a_v_g___m_o_d_e___c_f_a_r.html#ga2beed2f1189f7cb068158a74da228783">HWA_NOISE_AVG_MODE_CFAR_CASO</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:ga2beed2f1189f7cb068158a74da228783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe4ba9d92d4607c1230b3e637ae0492f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___t_r_i_g___m_o_d_e.html#gabe4ba9d92d4607c1230b3e637ae0492f">HWA_TRIG_MODE_IMMEDIATE</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gabe4ba9d92d4607c1230b3e637ae0492f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2976d5d71e5c78c6fc3c42516b043095"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___t_r_i_g___m_o_d_e.html#ga2976d5d71e5c78c6fc3c42516b043095">HWA_TRIG_MODE_SOFTWARE</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga2976d5d71e5c78c6fc3c42516b043095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ce96b6909a815c8df0869dbb6345af9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___t_r_i_g___m_o_d_e.html#ga1ce96b6909a815c8df0869dbb6345af9">HWA_TRIG_MODE_DFE</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:ga1ce96b6909a815c8df0869dbb6345af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ab158863af15b5085f556f6ab2d6521"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___t_r_i_g___m_o_d_e.html#ga9ab158863af15b5085f556f6ab2d6521">HWA_TRIG_MODE_DMA</a>&#160;&#160;&#160;((uint8_t)3U)</td></tr>
<tr class="separator:ga9ab158863af15b5085f556f6ab2d6521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7681374603074f468c05acb885ebfa76"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___a_c_c_e_l_m_o_d_e.html#ga7681374603074f468c05acb885ebfa76">HWA_ACCELMODE_FFT</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:ga7681374603074f468c05acb885ebfa76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36b1a7fe4ef001739eb4e7b56d466117"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___a_c_c_e_l_m_o_d_e.html#ga36b1a7fe4ef001739eb4e7b56d466117">HWA_ACCELMODE_CFAR</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga36b1a7fe4ef001739eb4e7b56d466117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aafde3d23482e1bf254eecbb063b5b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___a_c_c_e_l_m_o_d_e.html#ga3aafde3d23482e1bf254eecbb063b5b7">HWA_ACCELMODE_NONE</a>&#160;&#160;&#160;((uint8_t)3U)</td></tr>
<tr class="separator:ga3aafde3d23482e1bf254eecbb063b5b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga117d20b3556761d85a20a84140c19460"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#ga117d20b3556761d85a20a84140c19460">HWA_CFAR_OPER_MODE_LOG_INPUT_REAL</a>&#160;&#160;&#160;0U</td></tr>
<tr class="separator:ga117d20b3556761d85a20a84140c19460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7227a385d8618da1835d06d436c91f1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#gaf7227a385d8618da1835d06d436c91f1">HWA_CFAR_OPER_MODE_LOG_INPUT_COMPLEX</a>&#160;&#160;&#160;1U</td></tr>
<tr class="separator:gaf7227a385d8618da1835d06d436c91f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38bad4b23d551d33d65eab6044809fdb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#ga38bad4b23d551d33d65eab6044809fdb">HWA_CFAR_OPER_MODE_MAG_INPUT_REAL</a>&#160;&#160;&#160;2U</td></tr>
<tr class="separator:ga38bad4b23d551d33d65eab6044809fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dca6bdccc1a4aaf8353b67526326c4a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#ga6dca6bdccc1a4aaf8353b67526326c4a">HWA_CFAR_OPER_MODE_MAG_INPUT_COMPLEX</a>&#160;&#160;&#160;3U</td></tr>
<tr class="separator:ga6dca6bdccc1a4aaf8353b67526326c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga704002113ee520a28b2ff2e91ab3c8fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#ga704002113ee520a28b2ff2e91ab3c8fa">HWA_CFAR_OPER_MODE_MAG_SQR_INPUT_REAL</a>&#160;&#160;&#160;4U</td></tr>
<tr class="separator:ga704002113ee520a28b2ff2e91ab3c8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd41def1069928c8d33f5cf6c7f9c842"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_p_e_r___m_o_d_e.html#gadd41def1069928c8d33f5cf6c7f9c842">HWA_CFAR_OPER_MODE_MAG_SQR_INPUT_COMPLEX</a>&#160;&#160;&#160;5U</td></tr>
<tr class="separator:gadd41def1069928c8d33f5cf6c7f9c842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea8de5ab71657cc9277797a08396996b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_u_t_p_u_t___m_o_d_e.html#gaea8de5ab71657cc9277797a08396996b">HWA_CFAR_OUTPUT_MODE_I_nAVG_ALL_Q_CUT</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gaea8de5ab71657cc9277797a08396996b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4950d2793716b41b5a2e8638e458e7d2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_u_t_p_u_t___m_o_d_e.html#ga4950d2793716b41b5a2e8638e458e7d2">HWA_CFAR_OUTPUT_MODE_I_nAVG_ALL_Q_DET_FLAG</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga4950d2793716b41b5a2e8638e458e7d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79ff39a878cd3f675d7b28b0b3e7acd8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_u_t_p_u_t___m_o_d_e.html#ga79ff39a878cd3f675d7b28b0b3e7acd8">HWA_CFAR_OUTPUT_MODE_I_PEAK_IDX_Q_NEIGHBOR_NOISE_VAL</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:ga79ff39a878cd3f675d7b28b0b3e7acd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d021269a6853b0815dfbda6a70e208b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_f_a_r___o_u_t_p_u_t___m_o_d_e.html#ga4d021269a6853b0815dfbda6a70e208b">HWA_CFAR_OUTPUT_MODE_I_PEAK_IDX_Q_CUT</a>&#160;&#160;&#160;((uint8_t)3U)</td></tr>
<tr class="separator:ga4d021269a6853b0815dfbda6a70e208b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad627249ad5af22e298fb9730dcbdc801"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___r_a_m___t_y_p_e.html#gad627249ad5af22e298fb9730dcbdc801">HWA_RAM_TYPE_WINDOW_RAM</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:gad627249ad5af22e298fb9730dcbdc801"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c5f7f07b8d4c916457e32eb1554a8c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___r_a_m___t_y_p_e.html#ga9c5f7f07b8d4c916457e32eb1554a8c1">HWA_RAM_TYPE_INTERNAL_RAM</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga9c5f7f07b8d4c916457e32eb1554a8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a81141b6621a467384a1f6785b343a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___p_a_r_a_m_d_o_n_e___i_n_t_e_r_r_u_p_t___t_y_p_e.html#ga2a81141b6621a467384a1f6785b343a5">HWA_PARAMDONE_INTERRUPT_TYPE_CPU</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:ga2a81141b6621a467384a1f6785b343a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9869d509d4cbd2e8bfb4a27809478c2c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___p_a_r_a_m_d_o_n_e___i_n_t_e_r_r_u_p_t___t_y_p_e.html#ga9869d509d4cbd2e8bfb4a27809478c2c">HWA_PARAMDONE_INTERRUPT_TYPE_DMA</a>&#160;&#160;&#160;((uint8_t)2U)</td></tr>
<tr class="separator:ga9869d509d4cbd2e8bfb4a27809478c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad752eace4212c3ee44c6dd0a2be760a1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#gad752eace4212c3ee44c6dd0a2be760a1">HWA_COMMONCONFIG_MASK_NUMLOOPS</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="separator:gad752eace4212c3ee44c6dd0a2be760a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga725276679e555cbcb0ef464834f0f6e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga725276679e555cbcb0ef464834f0f6e6">HWA_COMMONCONFIG_MASK_PARAMSTARTIDX</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="separator:ga725276679e555cbcb0ef464834f0f6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98d162e147fa34d2cfdd1327ffb42ec8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga98d162e147fa34d2cfdd1327ffb42ec8">HWA_COMMONCONFIG_MASK_PARAMSTOPIDX</a>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="separator:ga98d162e147fa34d2cfdd1327ffb42ec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc8aa4abfd840f59b75b41e70740c332"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#gabc8aa4abfd840f59b75b41e70740c332">HWA_COMMONCONFIG_MASK_FFT1DENABLE</a>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="separator:gabc8aa4abfd840f59b75b41e70740c332"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80f7ffca5b6f7450a22a2e82ab03c6a7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga80f7ffca5b6f7450a22a2e82ab03c6a7">HWA_COMMONCONFIG_MASK_BPMRATE</a>&#160;&#160;&#160;0x00000010</td></tr>
<tr class="separator:ga80f7ffca5b6f7450a22a2e82ab03c6a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga826c0af4befd94e632e162ee62eb596c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga826c0af4befd94e632e162ee62eb596c">HWA_COMMONCONFIG_MASK_BPMPATTERN</a>&#160;&#160;&#160;0x00000020</td></tr>
<tr class="separator:ga826c0af4befd94e632e162ee62eb596c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49ab228b01200cd95f831d6e77181d8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga49ab228b01200cd95f831d6e77181d8c">HWA_COMMONCONFIG_MASK_INTERFERENCETHRESHOLD</a>&#160;&#160;&#160;0x00000040</td></tr>
<tr class="separator:ga49ab228b01200cd95f831d6e77181d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef28a3a0043ebccff19c5c1e87f101fe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#gaef28a3a0043ebccff19c5c1e87f101fe">HWA_COMMONCONFIG_MASK_TWIDDITHERENABLE</a>&#160;&#160;&#160;0x00000080</td></tr>
<tr class="separator:gaef28a3a0043ebccff19c5c1e87f101fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7cc6888144aa3e83980c075eb10ead6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#gaf7cc6888144aa3e83980c075eb10ead6">HWA_COMMONCONFIG_MASK_LFSRSEED</a>&#160;&#160;&#160;0x00000100</td></tr>
<tr class="separator:gaf7cc6888144aa3e83980c075eb10ead6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78ebee9778866f8da9821d040f1b1741"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga78ebee9778866f8da9821d040f1b1741">HWA_COMMONCONFIG_MASK_FFTSUMDIV</a>&#160;&#160;&#160;0x00000200</td></tr>
<tr class="separator:ga78ebee9778866f8da9821d040f1b1741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee11251a3748d16410f385df9b851d96"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#gaee11251a3748d16410f385df9b851d96">HWA_COMMONCONFIG_MASK_CFARTHRESHOLDSCALE</a>&#160;&#160;&#160;0x00000400</td></tr>
<tr class="separator:gaee11251a3748d16410f385df9b851d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36eca9bec6ed6ae6213fe7389eba4f64"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga36eca9bec6ed6ae6213fe7389eba4f64">HWA_COMMONCONFIG_MASK_I_CMULT_SCALE</a>&#160;&#160;&#160;0x00001000</td></tr>
<tr class="separator:ga36eca9bec6ed6ae6213fe7389eba4f64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga188da83ecfd0782d2cf91fb3e96befd7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___c_o_m_m_o_n_c_o_n_f_i_g___m_a_s_k.html#ga188da83ecfd0782d2cf91fb3e96befd7">HWA_COMMONCONFIG_MASK_Q_CMULT_SCALE</a>&#160;&#160;&#160;0x00002000</td></tr>
<tr class="separator:ga188da83ecfd0782d2cf91fb3e96befd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga8e524d8b150b4352899c82fa00dcfa47"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a></td></tr>
<tr class="memdesc:ga8e524d8b150b4352899c82fa00dcfa47"><td class="mdescLeft">&#160;</td><td class="mdescRight">A handle that is returned from a <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> call. <br /></td></tr>
<tr class="separator:ga8e524d8b150b4352899c82fa00dcfa47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec205d9c8ca3adb1af65acf72c0a431a"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaec205d9c8ca3adb1af65acf72c0a431a">HWA_ParamDone_IntHandlerFuncPTR</a>) (uint32_t paramSet, void *arg)</td></tr>
<tr class="memdesc:gaec205d9c8ca3adb1af65acf72c0a431a"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Interrupt callback function after every paramset completion.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaec205d9c8ca3adb1af65acf72c0a431a">More...</a><br /></td></tr>
<tr class="separator:gaec205d9c8ca3adb1af65acf72c0a431a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11aa14c0866c24cbd1e3d63623d50725"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga11aa14c0866c24cbd1e3d63623d50725">HWA_Done_IntHandlerFuncPTR</a>) (void *arg)</td></tr>
<tr class="memdesc:ga11aa14c0866c24cbd1e3d63623d50725"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Interrupt callback function after all paramsets completion.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga11aa14c0866c24cbd1e3d63623d50725">More...</a><br /></td></tr>
<tr class="separator:ga11aa14c0866c24cbd1e3d63623d50725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacffcb36d5c149cd1c71920bb80c05bda"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___h_w_attrs__t.html">HWA_HWAttrs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacffcb36d5c149cd1c71920bb80c05bda">HWA_HWAttrs</a></td></tr>
<tr class="memdesc:gacffcb36d5c149cd1c71920bb80c05bda"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA H/W Parameters.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacffcb36d5c149cd1c71920bb80c05bda">More...</a><br /></td></tr>
<tr class="separator:gacffcb36d5c149cd1c71920bb80c05bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab9f0fec5f56673315bcaa40d7693e312"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___src_d_m_a_config__t.html">HWA_SrcDMAConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a></td></tr>
<tr class="memdesc:gab9f0fec5f56673315bcaa40d7693e312"><td class="mdescLeft">&#160;</td><td class="mdescRight">Source trigger DMA parameters.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">More...</a><br /></td></tr>
<tr class="separator:gab9f0fec5f56673315bcaa40d7693e312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga316d762a8dcea4a74d02401cc7833d88"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___common_config__t.html">HWA_CommonConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga316d762a8dcea4a74d02401cc7833d88">HWA_CommonConfig</a></td></tr>
<tr class="memdesc:ga316d762a8dcea4a74d02401cc7833d88"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Common Config.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga316d762a8dcea4a74d02401cc7833d88">More...</a><br /></td></tr>
<tr class="separator:ga316d762a8dcea4a74d02401cc7833d88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab57a63a55ae317028e5b99fa055e279"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___source_config__t.html">HWA_SourceConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaab57a63a55ae317028e5b99fa055e279">HWA_SourceConfig</a></td></tr>
<tr class="memdesc:gaab57a63a55ae317028e5b99fa055e279"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for Input Formatter/Source block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaab57a63a55ae317028e5b99fa055e279">More...</a><br /></td></tr>
<tr class="separator:gaab57a63a55ae317028e5b99fa055e279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac99df888257d514a8476dce4fb704edf"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___dest_config__t.html">HWA_DestConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac99df888257d514a8476dce4fb704edf">HWA_DestConfig</a></td></tr>
<tr class="memdesc:gac99df888257d514a8476dce4fb704edf"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for Output Formatter/Destination block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac99df888257d514a8476dce4fb704edf">More...</a><br /></td></tr>
<tr class="separator:gac99df888257d514a8476dce4fb704edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86e785dc7b333547ca3d6ef766e0503b"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html">HWA_AccelModeFFT_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga86e785dc7b333547ca3d6ef766e0503b">HWA_AccelModeFFT</a></td></tr>
<tr class="memdesc:ga86e785dc7b333547ca3d6ef766e0503b"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for FFT block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga86e785dc7b333547ca3d6ef766e0503b">More...</a><br /></td></tr>
<tr class="separator:ga86e785dc7b333547ca3d6ef766e0503b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab64a70ae055f466d5f2c64e8ffdea412"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___complex_multiply__t.html">HWA_ComplexMultiply_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab64a70ae055f466d5f2c64e8ffdea412">HWA_ComplexMultiply</a></td></tr>
<tr class="memdesc:gab64a70ae055f466d5f2c64e8ffdea412"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for ComplexMultiply block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab64a70ae055f466d5f2c64e8ffdea412">More...</a><br /></td></tr>
<tr class="separator:gab64a70ae055f466d5f2c64e8ffdea412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaced09cb6bbb19ac89ed1c671fcc6dc28"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___accel_mode_c_f_a_r__t.html">HWA_AccelModeCFAR_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaced09cb6bbb19ac89ed1c671fcc6dc28">HWA_AccelModeCFAR</a></td></tr>
<tr class="memdesc:gaced09cb6bbb19ac89ed1c671fcc6dc28"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config for CFAR block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaced09cb6bbb19ac89ed1c671fcc6dc28">More...</a><br /></td></tr>
<tr class="separator:gaced09cb6bbb19ac89ed1c671fcc6dc28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga364635c260f23bdbcdaf16d9aa4ba7c2"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___param_config__t.html">HWA_ParamConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a></td></tr>
<tr class="memdesc:ga364635c260f23bdbcdaf16d9aa4ba7c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Paramset Config.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">More...</a><br /></td></tr>
<tr class="separator:ga364635c260f23bdbcdaf16d9aa4ba7c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a390bbe3fe2e9f47c6323eb4014d484"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___interrupt_config__t.html">HWA_InterruptConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1a390bbe3fe2e9f47c6323eb4014d484">HWA_InterruptConfig</a></td></tr>
<tr class="memdesc:ga1a390bbe3fe2e9f47c6323eb4014d484"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Interrupt Config.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1a390bbe3fe2e9f47c6323eb4014d484">More...</a><br /></td></tr>
<tr class="separator:ga1a390bbe3fe2e9f47c6323eb4014d484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5dc27db8f86d9ff05770a983ec1a4526"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___stats__t.html">HWA_Stats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5dc27db8f86d9ff05770a983ec1a4526">HWA_Stats</a></td></tr>
<tr class="memdesc:ga5dc27db8f86d9ff05770a983ec1a4526"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Statistics from the STATISTICS block.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5dc27db8f86d9ff05770a983ec1a4526">More...</a><br /></td></tr>
<tr class="separator:ga5dc27db8f86d9ff05770a983ec1a4526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32726e162c47ad33413250ab066fa71d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_w_a___debug_stats__t.html">HWA_DebugStats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32726e162c47ad33413250ab066fa71d">HWA_DebugStats</a></td></tr>
<tr class="memdesc:ga32726e162c47ad33413250ab066fa71d"><td class="mdescLeft">&#160;</td><td class="mdescRight">HWA Debug statistics.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32726e162c47ad33413250ab066fa71d">More...</a><br /></td></tr>
<tr class="separator:ga32726e162c47ad33413250ab066fa71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8afc6cfbb7bdce6e7077559a983d0074">HWA_init</a> (void)</td></tr>
<tr class="memdesc:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to initialize the HWA module.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8afc6cfbb7bdce6e7077559a983d0074">More...</a><br /></td></tr>
<tr class="separator:ga8afc6cfbb7bdce6e7077559a983d0074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a">HWA_open</a> (uint32_t index, SOC_Handle socHandle, int32_t *errCode)</td></tr>
<tr class="memdesc:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to initialize HWA specified by the particular index value.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a">More...</a><br /></td></tr>
<tr class="separator:ga57e442a7ff91f9c30e518c43b4e9955a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23be11112ef15989f9022b4494efc015"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015">HWA_close</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga23be11112ef15989f9022b4494efc015"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to close a HWA peripheral specified by the HWA handle.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015">More...</a><br /></td></tr>
<tr class="separator:ga23be11112ef15989f9022b4494efc015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcaaee7072b16138ea690a3cd3ded547"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabcaaee7072b16138ea690a3cd3ded547">HWA_reset</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gabcaaee7072b16138ea690a3cd3ded547"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to reset the internal state machine of the HWA.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabcaaee7072b16138ea690a3cd3ded547">More...</a><br /></td></tr>
<tr class="separator:gabcaaee7072b16138ea690a3cd3ded547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0dd1d15452e3eaf43d2a66debcbe5c16">HWA_configCommon</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga316d762a8dcea4a74d02401cc7833d88">HWA_CommonConfig</a> *commonConfig)</td></tr>
<tr class="memdesc:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the common HWA configuration parameters needed for the next operations/iterations/paramsets of HWA.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0dd1d15452e3eaf43d2a66debcbe5c16">More...</a><br /></td></tr>
<tr class="separator:ga0dd1d15452e3eaf43d2a66debcbe5c16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8">HWA_configParamSet</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a> *paramConfig, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *dmaConfig)</td></tr>
<tr class="memdesc:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the HWA configuration parameters for a given paramSet.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8">More...</a><br /></td></tr>
<tr class="separator:ga35572257b74b2a77b7033f8ae0d8c0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e6e5e97eb3601245649e970c38546c4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e6e5e97eb3601245649e970c38546c4">HWA_getDMAconfig</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t dmaTriggerSrc, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab9f0fec5f56673315bcaa40d7693e312">HWA_SrcDMAConfig</a> *dmaConfig)</td></tr>
<tr class="memdesc:ga8e6e5e97eb3601245649e970c38546c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to get the config to program the DMA for a given DMA Trigger channel. Application should use the returned config to program the DMA so that it can then in turn trigger the paramset. Application should make sure that the channel provided here in dmaTriggerSrc should match the <a class="el" href="struct_h_w_a___param_config__t.html#a1211dbccb47565bc6b28782f5d3af9fe">HWA_ParamConfig_t::dmaTriggerSrc</a> passed to <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35572257b74b2a77b7033f8ae0d8c0b8" title="Function to set the HWA configuration parameters for a given paramSet. ">HWA_configParamSet()</a>  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e6e5e97eb3601245649e970c38546c4">More...</a><br /></td></tr>
<tr class="separator:ga8e6e5e97eb3601245649e970c38546c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c373283c0d859be9afc9d9c278466eb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6c373283c0d859be9afc9d9c278466eb">HWA_configRam</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t ramType, uint8_t *data, uint32_t dataSize, uint32_t startIdx)</td></tr>
<tr class="memdesc:ga6c373283c0d859be9afc9d9c278466eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to set the HWA RAM (either Internal RAM or window RAM)  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6c373283c0d859be9afc9d9c278466eb">More...</a><br /></td></tr>
<tr class="separator:ga6c373283c0d859be9afc9d9c278466eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a79cb84b4ff3f0d3cfe4053978cb6cb">HWA_enableParamSetInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1a390bbe3fe2e9f47c6323eb4014d484">HWA_InterruptConfig</a> *intrConfig)</td></tr>
<tr class="memdesc:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the CPU and/or DMA interrupt after a paramSet completion.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a79cb84b4ff3f0d3cfe4053978cb6cb">More...</a><br /></td></tr>
<tr class="separator:ga6a79cb84b4ff3f0d3cfe4053978cb6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d2448361c55c220c5bc458ebb01f974"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d2448361c55c220c5bc458ebb01f974">HWA_enableDoneInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga11aa14c0866c24cbd1e3d63623d50725">HWA_Done_IntHandlerFuncPTR</a> callbackFn, void *callbackArg)</td></tr>
<tr class="memdesc:ga0d2448361c55c220c5bc458ebb01f974"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the CPU interrupt after all programmed paramSets have been completed.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d2448361c55c220c5bc458ebb01f974">More...</a><br /></td></tr>
<tr class="separator:ga0d2448361c55c220c5bc458ebb01f974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa986469b85c2eaa2b5037f2db2427969"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa986469b85c2eaa2b5037f2db2427969">HWA_disableParamSetInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t paramsetIdx, uint8_t interruptTypeFlag)</td></tr>
<tr class="memdesc:gaa986469b85c2eaa2b5037f2db2427969"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to disable the CPU and/or DMA interrupt after a paramSet completion.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa986469b85c2eaa2b5037f2db2427969">More...</a><br /></td></tr>
<tr class="separator:gaa986469b85c2eaa2b5037f2db2427969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeba0241747a1faca4765d09c345f5896"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeba0241747a1faca4765d09c345f5896">HWA_disableDoneInterrupt</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gaeba0241747a1faca4765d09c345f5896"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to disable the CPU interrupt after all programmed paramSets have been completed.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeba0241747a1faca4765d09c345f5896">More...</a><br /></td></tr>
<tr class="separator:gaeba0241747a1faca4765d09c345f5896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf85c54f23e29311b75b4f2de7664c5e9">HWA_enable</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t flagEnDis)</td></tr>
<tr class="memdesc:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to enable the state machine of the HWA. This should be called after paramset and RAM have been programmed.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf85c54f23e29311b75b4f2de7664c5e9">More...</a><br /></td></tr>
<tr class="separator:gaf85c54f23e29311b75b4f2de7664c5e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57f9d9ec83f4c512f293e77f630b73ec">HWA_setSoftwareTrigger</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to manually trigger the execution of the state machine via software.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57f9d9ec83f4c512f293e77f630b73ec">More...</a><br /></td></tr>
<tr class="separator:ga57f9d9ec83f4c512f293e77f630b73ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3380bf43efe0635d2d9914e4be809ab6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3380bf43efe0635d2d9914e4be809ab6">HWA_setDMA2ACCManualTrig</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint16_t idx)</td></tr>
<tr class="memdesc:ga3380bf43efe0635d2d9914e4be809ab6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to manually trigger the execution of the state machine waiting on DMA via software.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3380bf43efe0635d2d9914e4be809ab6">More...</a><br /></td></tr>
<tr class="separator:ga3380bf43efe0635d2d9914e4be809ab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga998ce876fa761e5b76dc02c5df735d21"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga998ce876fa761e5b76dc02c5df735d21">HWA_readClipStatus</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t *pbuf, uint8_t size)</td></tr>
<tr class="memdesc:ga998ce876fa761e5b76dc02c5df735d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the Clip Status registers.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga998ce876fa761e5b76dc02c5df735d21">More...</a><br /></td></tr>
<tr class="separator:ga998ce876fa761e5b76dc02c5df735d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7228706ec38cb2f597fe9422826bf568"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7228706ec38cb2f597fe9422826bf568">HWA_clearClipStatus</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:ga7228706ec38cb2f597fe9422826bf568"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to clear the Clip Status registers.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7228706ec38cb2f597fe9422826bf568">More...</a><br /></td></tr>
<tr class="separator:ga7228706ec38cb2f597fe9422826bf568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0cebf1425df11066ba7bbc9de767689"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac0cebf1425df11066ba7bbc9de767689">HWA_readStatsReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5dc27db8f86d9ff05770a983ec1a4526">HWA_Stats</a> *pStats, uint8_t numIter)</td></tr>
<tr class="memdesc:gac0cebf1425df11066ba7bbc9de767689"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the 4 sets of 'MAX' statistics register.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac0cebf1425df11066ba7bbc9de767689">More...</a><br /></td></tr>
<tr class="separator:gac0cebf1425df11066ba7bbc9de767689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeca71904c534997b6604612f6a4cf304"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeca71904c534997b6604612f6a4cf304">HWA_readCFARPeakCountReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, uint8_t *pbuf, uint8_t size)</td></tr>
<tr class="memdesc:gaeca71904c534997b6604612f6a4cf304"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the PEAKCNT register.  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeca71904c534997b6604612f6a4cf304">More...</a><br /></td></tr>
<tr class="separator:gaeca71904c534997b6604612f6a4cf304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4804d16dd728be35a9adab7a0ee34f31"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4804d16dd728be35a9adab7a0ee34f31">HWA_readDebugReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga32726e162c47ad33413250ab066fa71d">HWA_DebugStats</a> *pStats)</td></tr>
<tr class="memdesc:ga4804d16dd728be35a9adab7a0ee34f31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to read the debug registers (paramcurr, loopcou, acc_trig_in_stat)  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4804d16dd728be35a9adab7a0ee34f31">More...</a><br /></td></tr>
<tr class="separator:ga4804d16dd728be35a9adab7a0ee34f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac10287a91d6781a79f748441f5648d50"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac10287a91d6781a79f748441f5648d50">HWA_clearDebugReg</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8e524d8b150b4352899c82fa00dcfa47">HWA_Handle</a> handle)</td></tr>
<tr class="memdesc:gac10287a91d6781a79f748441f5648d50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to clear the debug registers (acc_trig_in_clr)  <a href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac10287a91d6781a79f748441f5648d50">More...</a><br /></td></tr>
<tr class="separator:gac10287a91d6781a79f748441f5648d50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HWA driver interface. </p>
<p>============================================================================ </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
